
<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="ISO-8859-1">
    <title>Grocery Management System</title>

    <link rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
</head>
<body>
<div class="container">
    <h1> Management System</h1>
    <hr>
    <h2>Update Grocery</h2>

    <form action="#" th:action="@{/saveGrocery}" th:object="${grocery}"
          method="POST">

        <!-- Add hidden form field to handle update -->
        <!---using form model binding---->
        <input type="hidden" th:field="*{id}" />

        <input type="text" th:field="*{name}" class="form-control mb-4 col-4">

        <input type="text" th:field="*{category}" class="form-control mb-4 col-4">

        <input type="text" th:field="*{quantity}" class="form-control mb-4 col-4">

        <button type="submit" class="btn btn-info col-2"> Update Grocery</button>
    </form>

    <hr>

    <a th:href = "@{/}"> Back to Grocery List</a>
</div>
</body>
</html>
